/**************************************************************************/
/* GE31 ( 定型文マスタ )                                                  */
/*                                                                        */
/* Created : 2012/04/16 15:51:04                                          */
/**************************************************************************/
CREATE TABLE GE31 (
   SYSTEM_ID VARCHAR(10)                 NOT NULL      /* 10  システムID   */
 , PTN_ID    VARCHAR(20)                 NOT NULL      /* 20  定型文ID     */
 , FROM_ID   VARCHAR(50)                               /* 30  送信者ID     */
 , TO_ID     BLOB                                      /* 40  宛先（TO）   */
 , CC_ID     BLOB                                      /* 50  宛先（CC）   */
 , BCC_ID    BLOB                                      /* 60  宛先（BCC）  */
 , TITLE     VARCHAR(300)                NOT NULL      /* 70  タイトル     */
 , CONTENTS  BLOB                                      /* 80  内容         */
 , UNIQ      BIGINT                      NOT NULL      /* 90  ユニークキー */
 , FGJ       VARCHAR(1)      DEFAULT '1' NOT NULL      /* 100 状態フラグ   */
 , DYSET     VARCHAR(14)                               /* 110 登録日時     */
 , PGSET     VARCHAR(10)                               /* 120 作成PG       */
 , PGPSET    VARCHAR(10)                               /* 130 作成親PG     */
 , USRSET    VARCHAR(10)                               /* 140 作成社員     */
 , DYUPD     VARCHAR(14)                               /* 150 更新日時     */
 , PGUPD     VARCHAR(10)                               /* 160 更新PG       */
 , PGPUPD    VARCHAR(10)                               /* 170 更新親PG     */
 , USRUPD    VARCHAR(10)                               /* 180 更新者       */
);

CREATE SEQUENCE GE31S00 ;


CREATE TRIGGER GE31T00 FOR GE31
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GE31S00,1 );
  END; 


